apiVersion: v1
kind: Secret
type: Opaque
metadata:
  name: altermanager-email-credentials
  namespace: freeleaps-prod
data:
  password: cHducGNya3d0aXp5Z2RoZQ==
---
apiVersion: monitoring.coreos.com/v1alpha1
kind: AlertmanagerConfig
metadata:
  name: alertmanager-config
  namespace: freeleaps-prod
spec:
  receivers:
    - name: freeleaps-admin-webhook
      webhookConfigs:
        - sendResolved: true
          url: >-
            http://freeleaps-admin-api-server.68d89eb31260178d24ac0da1-alpha.svc.freeleaps.cluster:8888/api/alert/webhook
  route:
    groupBy:
      - severity
      - alertname
      - service
    groupInterval: 1m
    groupWait: 30s
    receiver: freeleaps-admin-webhook
    repeatInterval: 30m
